/**
 * This export default class requires the module {@link module./component}.
  * @requires ./component
 */
import Component from './component.js'

/**
 *  Create component with selector 'div'.
 */
export default class H5Component extends Component {

    /**
     * Constructor.
     * @param {string| Component object } parent - Expects parent
     * @param {string} selector - optional parameter for selector
     */
    constructor(parent, selector) {
        if (selector) {
            super(parent, selector);
        } else {
            super(parent, 'h5');
        }
    }
}
